ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Erik Hatcher" <jakarta-...@ehatchersolutions.com>
Subject Re: MDB, Ant 1.4.1, and <ejbjar>
Date Thu, 09 May 2002 21:00:23 GMT
Why not just try Ant 1.5Beta1 on a development box with a local build and
see how it fares with your build?  Surely you're set up for such a
situation, right?!  :))  If there are problems, then you can report back to
us and we might be able to have it fixed for Beta 2, but there haven't been
many show stopper issues.... the one regression bug in <propertyfile> is the
one I'm aware of (yeah, my fault!) and perhaps some others, but its quite
stable.

I hope everyone realizes that the CVS HEAD version of Ant is used to build
tons of Sourceforge and Jakarta projects (and probably from other sources
too) at least once or twice a day using Gump -
http://jakarta.apache.org/gump - so Ant stays "stable" for the most part.

I don't know what would be involved - it wasn't a big change needed to get
MDB's supported - it just needed to check for that XML element like it does
the others.

    Erik


----- Original Message -----
From: "Kyle Adams" <kadams@gfs.com>
To: <jakarta-ant@ehatchersolutions.com>; <ant-user@jakarta.apache.org>
Sent: Thursday, May 09, 2002 4:09 PM
Subject: Re: MDB, Ant 1.4.1, and <ejbjar>


Alright, now we might be crossing into the realm of ant-dev, but what all
would be involved in hacking Ant 1.4.1 to support MDBs?  I know Ant 1.5 uses
the BCEL to discover dependencies in the various EJB classes, but in my
limited understanding, one wouldn't need that robust of introspection to
support MDBs.  Is that correct?

Also, how stable is Ant 1.5, beta 1?  The project in question would be going
into a production environment at the end of June - will Ant 1.5 be ready to
build production applications at that time?

Just trying to evaluate our options for dealing with this problem.

Kyle

>>> jakarta-ant@ehatchersolutions.com 05/09/02 02:50PM >>>
I'm sure it would cause problems and I never recommend anything like mixing
and matching JAR's like that.

You'll have to do some patching and rebuild Ant 1.4.1 plus that change to
get working then.

    Erik





--
To unsubscribe, e-mail:   <mailto:ant-user-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:ant-user-help@jakarta.apache.org>


Mime
View raw message